Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlAjaxCommandLink

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.ajax4jsf.component.UIAjaxCommandLink
                          org.ajax4jsf.component.html.HtmlAjaxCommandLink

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class HtmlAjaxCommandLink

extends UIAjaxCommandLink

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlAjaxCommandLink()`

Method Summary
`java.lang.String` | `getAccesskey()`
`java.lang.String` | `getCharset()`
`java.lang.String` | `getCoords()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getHreflang()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.Object` | `getProcess()`
`java.lang.String` | `getRel()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getRev()`
`java.lang.String` | `getShape()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getTarget()`
`int` | `getTimeout()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String _accesskey)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setCharset(java.lang.String _charset)`
`void` | `setCoords(java.lang.String _coords)`
`void` | `setData(java.lang.Object _data)`
`void` | `setDir(java.lang.String _dir)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setHreflang(java.lang.String _hreflang)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLang(java.lang.String _lang)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRel(java.lang.String _rel)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setRev(java.lang.String _rev)`
`void` | `setShape(java.lang.String _shape)`
`void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTabindex(java.lang.String _tabindex)`
`void` | `setTarget(java.lang.String _target)`
`void` | `setTimeout(int _timeout)`
`void` | `setTitle(java.lang.String _title)`
`void` | `setType(java.lang.String _type)`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlAjaxCommandLink

    public HtmlAjaxCommandLink()

Method Detail

### getAccesskey

    public java.lang.String getAccesskey()

### setAccesskey

    public void setAccesskey(java.lang.String _accesskey)

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getCharset

    public java.lang.String getCharset()

### setCharset

    public void setCharset(java.lang.String _charset)

### getCoords

    public java.lang.String getCoords()

### setCoords

    public void setCoords(java.lang.String _coords)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String _dir)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean _disabled)

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### getHreflang

    public java.lang.String getHreflang()

### setHreflang

    public void setHreflang(java.lang.String _hreflang)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String _lang)

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRel

    public java.lang.String getRel()

### setRel

    public void setRel(java.lang.String _rel)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getRev

    public java.lang.String getRev()

### setRev

    public void setRev(java.lang.String _rev)

### getShape

    public java.lang.String getShape()

### setShape

    public void setShape(java.lang.String _shape)

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getTabindex

    public java.lang.String getTabindex()

### setTabindex

    public void setTabindex(java.lang.String _tabindex)

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String _target)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String _title)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String _type)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.